package com.ibm.commerce.applepay.payment.commands;

/*
 *-----------------------------------------------------------------
 * IBM Confidential
 *
 * OCO Source Materials
 *
 * WebSphere Commerce
 *
 * (C) Copyright IBM Corp. 2016
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 *-----------------------------------------------------------------
 */

import com.ibm.commerce.command.ControllerCommand;

/**
 * Get merchant information.
 */
public interface GetMerchantInfoCmd extends ControllerCommand {
	
	/**
	 * The IBM copyright notice field.
	 */
	public static final String COPYRIGHT				= com.ibm.commerce.copyright.IBMCopyright.SHORT_COPYRIGHT;
	/**
	 * The name of this command.
	 */
	public static final String NAME						= GetMerchantInfoCmd.class.getCanonicalName();
	/**
	 * The default implementation of this command.
	 */
	public static final String defaultCommandClassName	= NAME + "Impl";

}
